Jersey-spring support for spring 3.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Jersey-spring support for spring 3.0

Jalpesh Patadia-2
Jersey-spring support for spring 3.0 Hello,

This is a dumb question, but I was wondering if there were any plans for officially changing the jersey-spring maven module to support spring 3.0 instead of 2.5

Currently for my project I’m working around it by adding exclusions to the jersey-spring dependency, but I’d much rather avoid doing that, since it may cause issues if there are incompatible changes between different spring versions. An official module would alleviate those fears.


Thanks,

Jalpesh


PRIVILEGED AND CONFIDENTIAL
This transmission may contain privileged, proprietary or confidential information. If you are not the intended recipient, you are instructed not to review this transmission. If you are not the intended recipient, please notify the sender that you received this message and delete this transmission from your system.
Reply | Threaded
Open this post in threaded view
|

Re: Jersey-spring support for spring 3.0

Paul Sandoz
Administrator

On Mar 8, 2010, at 5:52 PM, Jalpesh Patadia wrote:

Hello,

This is a dumb question, but I was wondering if there were any plans for officially changing the jersey-spring maven module to support spring 3.0 instead of 2.5


Not a dumb question. It is a very valid one.

From the list it looks like a number of developers are starting ti use Spring 3.0 with Jersey, and without issue w.r.t. the code. Thus I think we may be able to support a separate model that defines 3.0 dependencies with changing any source.


Currently for my project I’m working around it by adding exclusions to the jersey-spring dependency, but I’d much rather avoid doing that, since it may cause issues if there are incompatible changes between different spring versions. An official module would alleviate those fears.


Can you log an issue?

Thanks,
Paul.